import type { SvelteUITheme } from '../engine/types';
import type { CSS } from '../types';
export declare type ProviderStyles = Record<string, Record<string, CSS> | ((theme: SvelteUITheme, params: Record<string, any>) => Record<string, CSS>)>;
export declare type SvelteUIDefaultProps = Record<string, Record<string, any>>;
export interface SvelteUIProviderContextType {
    theme: SvelteUITheme;
    styles: ProviderStyles;
    defaultProps: SvelteUIDefaultProps;
}
export declare const key = "SvelteUIProviderContext";
export declare function useSvelteUIThemeContext(): SvelteUIProviderContextType;
export declare function useSvelteUIDefaultProps<T extends Record<string, any>>(component: string, defaultProps: Partial<T>, props: T): T;
